public class LKW extends ThreadActor {

    private int step = 1;
    
    public LKW() {
        setImage("lkw.gif");
    }
    
    @Override
    public void run() {
        while (true) {
           fahreZurBruecke();
           synchronized (Bruecke.bruecke) {
               fahreUeberBruecke();
           }
        }
    }

    void fahreZurBruecke() {
        while (!intersects(Bruecke.bruecke)) {
            if (getX() <= 0 || getX() >= getWorld().getWidth() - 1) { // Rand erreicht
                step *= -1; // Richtungswechsel
                getImage().mirrorHorizontally(); // Icon-Spiegelung
            }
            setLocation(getX() + step, getY()); // fahren
        }
    }
    
    void fahreUeberBruecke() {
        while (intersects(Bruecke.bruecke)) {
            setLocation(getX() + step, getY()); // fahren
        }
    }
}
